Skip to content

Get Webhook

Retrieve one webhook, including its signing secret, subscribed events, and enabled/auto-disabled state.

GET /v1/products/:id/webhooks/:webhookId

Path Parameters

ParameterDescription
idProduct ID
webhookIdWebhook ID

Response

json
{
  "data": {
    "id": "whk_xxx",
    "name": "Slack notifier",
    "url": "https://hooks.example.com/packedge",
    "secret": "whsec_xxx",
    "events": ["license.created", "payment.completed"],
    "enabled": true,
    "consecutiveFailures": 0,
    "disabledReason": null,
    "lastTriggeredAt": "2026-06-01T10:00:00Z",
    "createdAt": "2026-02-06T00:00:00Z",
    "updatedAt": "2026-06-01T10:00:00Z"
  }
}

Example

bash
curl -X GET "https://api.packedge.dev/v1/products/prd_xxx/webhooks/whk_xxx" \
  -H "Authorization: Bearer pk_your_api_key"